//
//  AccelerometerController.h
//  Accelerometer
//
//  Created by Phidgets on 2015-07-30.
//  Copyright (c) 2015 Phidgets. All rights reserved.
//

#import <Foundation/Foundation.h>
#import <Phidget22/phidget22.h>
#import "AccelGaugeView.h"
#import "PhidgetInfoBox.h"

@interface AccelerometerController : NSObject <NSWindowDelegate>{
    PhidgetAccelerometerHandle ch;
    IBOutlet NSWindow *mainWindow;
    IBOutlet PhidgetInfoBox *phidgetInfoBoxView;
    IBOutlet NSBox *phidgetInfoBox;
    
    //Gauge View
    IBOutlet AccelGaugeView* xView;
    IBOutlet NSBox *xViewBox;
    IBOutlet AccelGaugeView* yView;
    IBOutlet NSBox *yViewBox;
    IBOutlet AccelGaugeView* zView;
    IBOutlet NSBox *zViewBox;
    //Data
    IBOutlet NSBox *dataBox;
    IBOutlet NSTextField *xTxt;
    IBOutlet NSTextField *yTxt;
    IBOutlet NSTextField *zTxt;
    IBOutlet NSTextField *zLbl;
    IBOutlet NSTextField *timestamp;
    //Settings
    IBOutlet NSBox *settingsBox;
    IBOutlet id triggerSlider;
    IBOutlet id dataIntSlider;
    IBOutlet NSTextField *triggerMinLbl;
    IBOutlet NSTextField *triggerMaxLbl;
    IBOutlet NSTextField *dataIntMinLbl;
    IBOutlet NSTextField *dataIntMaxLbl;
    IBOutlet NSTextField *triggerLbl;
    IBOutlet NSTextField *dataIntLbl;
	IBOutlet NSBox *accelLegend;
    //Errors
    IBOutlet NSPanel *errorEventLogWindow;
    IBOutlet NSTextView *errorEventLog;
    IBOutlet NSTextField *errorEventLogCounter;
}


@end
